Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class EJBQLException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.EJBQLException`

All Implemented Interfaces:
  java.io.Serializable

public class EJBQLException
extends TopLinkException

Purpose: EJBQL parsing and resolution problems will raise this exception

See Also:
  Serialized Form

Field Summary
`static int` | `aliasResolutionException`
`static int` | `classNotFoundException`
`static int` | `expressionNotSupported`
`static int` | `generalParsingException`
`static int` | `generalParsingException2`
`java.util.Collection` | `internalExceptions`
`static int` | `invalidContextKeyException`
`static int` | `missingDescriptorException`
`static int` | `missingMappingException`
`static int` | `recognitionException`
`static int` | `resolutionClassNotFoundException`

Method Summary
`static EJBQLException` | `aliasResolutionException(java.lang.String theAlias)`
`static EJBQLException` | `classNotFoundException(java.lang.String theClassName, java.lang.String theMessage, java.lang.Exception theException)`
`static EJBQLException` | `expressionNotSupported(java.lang.String unsupportedExpression)`
`static EJBQLException` | `invalidContextKeyException(java.lang.String theKey)`
`static EJBQLException` | `missingDescriptorException(java.lang.String theClassName)`
`static EJBQLException` | `missingMappingException(java.lang.String theAttributeName)`
`void` | `printFullStackTrace()` PUBLIC Print the stack trace for each error generated by the parser.
`static EJBQLException` | `resolutionClassNotFoundException(java.lang.String theClassName)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### recognitionException

    public static final int recognitionException

  See Also:
    Constant Field Values

### generalParsingException

    public static final int generalParsingException

  See Also:
    Constant Field Values

### classNotFoundException

    public static final int classNotFoundException

  See Also:
    Constant Field Values

### aliasResolutionException

    public static final int aliasResolutionException

  See Also:
    Constant Field Values

### resolutionClassNotFoundException

    public static final int resolutionClassNotFoundException

  See Also:
    Constant Field Values

### missingDescriptorException

    public static final int missingDescriptorException

  See Also:
    Constant Field Values

### missingMappingException

    public static final int missingMappingException

  See Also:
    Constant Field Values

### invalidContextKeyException

    public static final int invalidContextKeyException

  See Also:
    Constant Field Values

### expressionNotSupported

    public static final int expressionNotSupported

  See Also:
    Constant Field Values

### generalParsingException2

    public static final int generalParsingException2

  See Also:
    Constant Field Values

### internalExceptions

    public java.util.Collection internalExceptions

Method Detail

### classNotFoundException

    public static EJBQLException classNotFoundException(java.lang.String theClassName,
                                                        java.lang.String theMessage,
                                                        java.lang.Exception theException)

### resolutionClassNotFoundException

    public static EJBQLException resolutionClassNotFoundException(java.lang.String theClassName)

### missingDescriptorException

    public static EJBQLException missingDescriptorException(java.lang.String theClassName)

### missingMappingException

    public static EJBQLException missingMappingException(java.lang.String theAttributeName)

### aliasResolutionException

    public static EJBQLException aliasResolutionException(java.lang.String theAlias)

### invalidContextKeyException

    public static EJBQLException invalidContextKeyException(java.lang.String theKey)

### expressionNotSupported

    public static EJBQLException expressionNotSupported(java.lang.String unsupportedExpression)

### printFullStackTrace

    public void printFullStackTrace()

  PUBLIC Print the stack trace for each error generated by the parser. This method is intended to assist in debugging problems in EJBQL

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD